picocli

## Class CommandLine.HelpCommand

- java.lang.Object
- - picocli.CommandLine.HelpCommand

All Implemented Interfaces:
  java.lang.Runnable, CommandLine.IHelpCommandInitializable

Enclosing class:
  CommandLine

    public static final class CommandLine.HelpCommand
    extends java.lang.Object
    implements CommandLine.IHelpCommandInitializable, java.lang.Runnable

Help command that can be installed as a subcommand on all application commands. When invoked with a subcommand argument, it prints usage help for the specified subcommand. For example:

     // print help for subcommand
     command help subcommand

When invoked without additional parameters, it prints usage help for the parent command. For example:

     // print help for command
     command help

For internationalization: this command has a `--help` option with `descriptionKey = "helpCommand.help"`, and a `COMMAND` positional parameter with `descriptionKey = "helpCommand.command"`.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`HelpCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(CommandLine helpCommandLine, CommandLine.Help.Ansi ansi, java.io.PrintStream out, java.io.PrintStream err)` Initializes this object with the information needed to implement a help command that provides usage help for other commands.
`void` `run()` Invokes `usage` for the specified command, or for the parent command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HelpCommand

    public HelpCommand()

### Method Detail

#### run

    public void run()

Invokes `usage` for the specified command, or for the parent command.

Specified by:
  `run` in interface `java.lang.Runnable`

#### init

    public void init(CommandLine helpCommandLine,
                     CommandLine.Help.Ansi ansi,
                     java.io.PrintStream out,
                     java.io.PrintStream err)

Initializes this object with the information needed to implement a help command that provides usage help for other commands.

Specified by:
  `init` in interface `CommandLine.IHelpCommandInitializable`
Parameters:
  `helpCommandLine` - the `CommandLine` object associated with this help command. Implementors can use this to walk the command hierarchy and get access to the help command's parent and sibling commands.
  `ansi` - whether to use Ansi colors or not
  `out` - the stream to print the usage help message to
  `err` - the error stream to print any diagnostic messages to, in addition to the output from the exception handler